using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;

namespace Latch
{
	class Latch : ISynch
	{
        //Startbox is kept opened until all horses have left the starting line
        static EventWaitHandle waitHandle = new ManualResetEvent(false);

		public void Acquire() 
		{
            //Hold every horse in wait pool
            waitHandle.WaitOne();
		}

		public void Release()
		{
            //Release all horses at the same time
            waitHandle.Set();
		}
	}
}
