using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;

namespace Parkhaus
{
	class Auto
	{
		private static Random rnd = new Random();
		private int id;
        private String name;
		private Parkhaus parkhaus;

		public Auto(int id, Parkhaus parkhaus)
		{
			this.id = id;
            this.name = "Auto " + id;
			this.parkhaus = parkhaus;
		}

		public void Drive()
		{
			while (true)
			{
				Thread.Sleep(rnd.Next(20000));
                //lock (parkhaus) //--> 
                {
                    parkhaus.Passieren();
                    Program.WriteConsole(name + ": eingefahren \t Freie Pltze: " + parkhaus.AnzahlPlaetze(), id);
                }
                Thread.Sleep(rnd.Next(1000));
                //lock (parkhaus)
                {
                    parkhaus.Verlassen();
                    Program.WriteConsole(name + ": ausgefahren \t Freie Pltze: " + parkhaus.AnzahlPlaetze(), id);
                }
			}
		}
	}
}
