using System;
using System.Collections.Generic;
using System.Text;

namespace BlackHole
{
	class BlackHole
	{
		private NotifyingQueue queue = new NotifyingQueue();

		public void put(Object thing)
		{
			//lock (this)
			{
				queue.enqueue(thing);
			}
		}

		public Object get()
		{
			//lock (this)
			{
				return queue.dequeue();
			}
		}
	}
}
