using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;

namespace Latch
{
	class RaceHorse
	{
		private ISynch startSignal;
		private int nr;
        private readonly object colorLock = new object();

		public RaceHorse(int nr, ISynch startSignal)
		{
			this.nr = nr;
			this.startSignal = startSignal;
		}

		public void Run()
		{
            lock (startSignal)
            {

                Console.ForegroundColor = (ConsoleColor)(Convert.ToInt32(nr) % 10 + 1);
                System.Console.WriteLine("Rennpferd " + nr + " geht in Startbox.");
            }
            
			startSignal.Acquire();

            lock (startSignal)
            {

                Console.ForegroundColor = (ConsoleColor)(Convert.ToInt32(nr) % 10 + 1);
                System.Console.WriteLine("Rennpferd " + nr + " luft los...");
            }

            
			Thread.Sleep(new Random().Next(3000));

            lock (startSignal)
            {

                Console.ForegroundColor = (ConsoleColor)(Convert.ToInt32(nr) % 10 + 1);
                System.Console.WriteLine("Rennpferd " + nr + " ist im Ziel.");
            }
			
            Console.Read();
		}
	}
}
