using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;

namespace LostSignals
{
    class AWait : ISynch
    {
        private Semaphore s;

        public AWait(int maxCount)
        {
            this.s = new Semaphore(0, maxCount); //Do not release any threads right from the start!!
        }

        public void Acquire()
        {
            //lock (this)
            //{
            //    //Console.WriteLine("Monitor.Wait(locker)");
            //    //Monitor.Wait(this);
            //}
            s.WaitOne();
        }

        public void Release()
        {
            //lock (this)
            //{
            //    //Console.WriteLine("Monitor.Pulse(locker)");
            //    //Monitor.Pulse(this);
            //}
            s.Release();
        }
    }
}
