using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace Mandelbrot
{
	class Point
	{
		public int x;
		public int y;
		public Color color;

		public Point(int x, int y, Int32 color)
		{
			this.x = x;
			this.y = y;
            this.color = Color.FromArgb(
                (color & 0xFF0000) >> 16,
                (color & 0xFF00) >> 8,
                color & 0xFF);
        }
	}


}
