using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;

namespace WaitPool
{
	class TestWaitPool
	{
		static void Main()
		{
			Object synch = new Object();
			MyThread myThread = new MyThread(synch);
			new Thread(myThread.Run).Start();
            Thread.Sleep(1000);
            lock(synch)
            {
                //Thread.Sleep(1000); //This Sleep blocks the main thread (Sleep doesn't release "lock")
                Monitor.Pulse(synch); //call only within synchronized block of code
            }
            Console.Read();
		}
	}
}
